Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# TurnBasedMultiplayer.LoadMatchResult

implements Result

com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.LoadMatchResult

## Class Overview

Result delivered when a turn-based match has been loaded. Possible status codes include:

- `STATUS_OK` if data was successfully loaded and is up-to-date.
- `STATUS_NETWORK_ERROR_NO_DATA` if the device was unable to retrieve any data from the network and has no data cached locally.
- `STATUS_NETWORK_ERROR_STALE_DATA` if the device was unable to retrieve the latest data from the network, but has some data cached locally.
- `STATUS_MATCH_NOT_FOUND` if the requested match does not exist on the server.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to perform this operation.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

## Summary

Public Methods
abstract TurnBasedMatch | getMatch()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract TurnBasedMatch getMatch ()

##### Returns

- The requested `TurnBasedMatch` object. Note that this may be null, depending on the status code returned.